import { UnityAction } from '@/utils/utils';
import { useModel } from '@umijs/max';
import { useMemo } from 'react';

export default function ({ relationId }) {
  const { getMandateId } = useModel('useMandate');
  let mandateId = useMemo(() => {
    return getMandateId(relationId);
  }, [relationId, getMandateId]);
  if (!mandateId) return null;
  return (
    <a
      style={{ marginLeft: 10 }}
      onClick={() =>
        // task
        UnityAction.sendMsg('OpenTaskModal', `mandate_id=${mandateId}`)
      }
    >
      查看任务
    </a>
  );
}
